The cirros image was rebuilt against the 3.13.0-83 kernel, drivers e1000e, igbvf...
[packages/trusty/cirros-testvm.git] / cirros-testvm / src-cirros / buildroot-2015.05 / system / skeleton / etc / init.d / S40network
diff --git a/cirros-testvm/src-cirros/buildroot-2015.05/system/skeleton/etc/init.d/S40network b/cirros-testvm/src-cirros/buildroot-2015.05/system/skeleton/etc/init.d/S40network
new file mode 100755 (executable)
index 0000000..bfdd491
--- /dev/null
@@ -0,0 +1,28 @@
+#!/bin/sh
+#
+# Start the network....
+#
+
+# Debian ifupdown needs the /run/network lock directory
+mkdir -p /run/network
+
+case "$1" in
+  start)
+       echo "Starting network..."
+       /sbin/ifup -a
+       ;;
+  stop)
+       echo -n "Stopping network..."
+       /sbin/ifdown -a
+       ;;
+  restart|reload)
+       "$0" stop
+       "$0" start
+       ;;
+  *)
+       echo "Usage: $0 {start|stop|restart}"
+       exit 1
+esac
+
+exit $?
+